﻿using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] valueArray = { 11, 16, 7, 3, 14 };

            CoxcombPlot coxcombPlot = plot.AddCoxcomb(valueArray);

            coxcombPlot.FillColors  = plot.Palette.GetColors(5, 0, 0.5);
            coxcombPlot.SliceLabels = new string[] { "bikes", "blimps", "subs", "saucers", "rockets" };

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}